Package org.apache.felix.http.jakartawrappers

# Class ServletConfigWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.ServletConfigWrapper

All Implemented Interfaces:
  `jakarta.servlet.ServletConfig`

public class ServletConfigWrapper extends Object implements jakarta.servlet.ServletConfig
Servlet config wrapper

## Constructor Summary

Constructors
Constructor
Description
`ServletConfigWrapper(javax.servlet.ServletConfig config)`
Create new servlet config

## Method Summary

Modifier and Type
Method
Description
`String`
`getInitParameter(String name)`
`Enumeration<String>`
`getInitParameterNames()`
`jakarta.servlet.ServletContext`
`getServletContext()`
`String`
`getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletConfigWrapper

public ServletConfigWrapper(@NotNull javax.servlet.ServletConfig config)
Create new servlet config

Parameters:
  `config` - wrapped servlet config

## Method Details

### getServletName

public String getServletName()

Specified by:
  `getServletName` in interface `jakarta.servlet.ServletConfig`

### getServletContext

public jakarta.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `jakarta.servlet.ServletConfig`

### getInitParameter

public String getInitParameter(String name)

Specified by:
  `getInitParameter` in interface `jakarta.servlet.ServletConfig`

### getInitParameterNames

public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `jakarta.servlet.ServletConfig`